Bug 1854565 - RBAC and channel doc links are hard-coded
Summary: RBAC and channel doc links are hard-coded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-07 17:17 UTC by Samuel Padgett
Modified: 2020-10-27 16:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The web console Project Access tab on the Project details page in the Developer perspective incorrectly linked to the 4.1 documentation for role-based access control. The link now points to the correct version for the cluster.
Clone Of:
Environment:
Version: 4.6.0-0.ci-2020-07-06-163355 Cluster ID: 1c01e75c-944d-46e5-a655-45916fa70281 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:79.0) Gecko/20100101 Firefox/79.0
Last Closed: 2020-10-27 16:12:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
bug screenshot (165.51 KB, image/png)
2020-07-13 07:01 UTC, XiaochuanWang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5907 0 None closed Bug 1854565: Use `openshiftHelpBase` instead of hard-coded doc links 2020-10-01 14:55:24 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:13:06 UTC

Description Samuel Padgett 2020-07-07 17:17:03 UTC
We should not use hard-coded doc links in console. We need to use the appropriate doc link for the branding (like ocp, okd, dedicated) and cluster version.

The RBAC doc link in the dev console and channels doc link in the cluster settings page both have hard-coded URLs.

Comment 3 XiaochuanWang 2020-07-13 07:01:07 UTC
Created attachment 1700772 [details]
bug screenshot

Comment 4 XiaochuanWang 2020-07-13 07:04:12 UTC
Please refer to the screenshot, the link ${openshiftHelpBase} is using OCP 4.5.
Tested on 4.6.0-0.nightly-2020-07-12-204440, it should be 4.6 even if it's not existed yet.

Comment 5 Samuel Padgett 2020-07-13 12:14:58 UTC
The doc base hasn't been updated yet, but that's unrelated to this Bugzilla. We need to track that as a separate bug in case we want to backport this fix. Moving back to ON_QA.

Comment 6 XiaochuanWang 2020-07-14 05:26:00 UTC
This could be verified on 4.6.0-0.nightly-2020-07-13-203610
Addressing a separate bug according to comment 5.

Comment 8 errata-xmlrpc 2020-10-27 16:12:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.